<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="The secret secrets of easy grilled chicken" />
<meta property="og:description" content="What&rsquo;s a secret secret? It&rsquo;s a secret that&rsquo;s pretty damn secret, that&rsquo;s what it is. Which is of course what grilled chicken, even easy, easy grilled chicken, is not. Or possibly is.
OK, I&rsquo;m confused now. Let&rsquo;s do some tips.
h2. For quick and easy, you first of all want thin
If you&rsquo;re looking for a quick, easy grilled chicken meal, then you don&rsquo;t want to try grilling a whole chicken thigh." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/181" />


<meta property="og:updated_time" content="2010-09-23T18:10:40&#43;00:00"/>











<meta itemprop="name" content="The secret secrets of easy grilled chicken">
<meta itemprop="description" content="What&rsquo;s a secret secret? It&rsquo;s a secret that&rsquo;s pretty damn secret, that&rsquo;s what it is. Which is of course what grilled chicken, even easy, easy grilled chicken, is not. Or possibly is.
OK, I&rsquo;m confused now. Let&rsquo;s do some tips.
h2. For quick and easy, you first of all want thin
If you&rsquo;re looking for a quick, easy grilled chicken meal, then you don&rsquo;t want to try grilling a whole chicken thigh.">


<meta itemprop="dateModified" content="2010-09-23T18:10:40&#43;00:00" />
<meta itemprop="wordCount" content="444">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="The secret secrets of easy grilled chicken"/>
<meta name="twitter:description" content="What&rsquo;s a secret secret? It&rsquo;s a secret that&rsquo;s pretty damn secret, that&rsquo;s what it is. Which is of course what grilled chicken, even easy, easy grilled chicken, is not. Or possibly is.
OK, I&rsquo;m confused now. Let&rsquo;s do some tips.
h2. For quick and easy, you first of all want thin
If you&rsquo;re looking for a quick, easy grilled chicken meal, then you don&rsquo;t want to try grilling a whole chicken thigh."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="181.html">

    <title>The secret secrets of easy grilled chicken | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="181.html">The secret secrets of easy grilled chicken</a></h2>
    <p class="blog-post-meta"><time datetime="2010-09-23T18:10:40Z">Thu Sep 23, 2010</time> by kamikazecook</p>
  </header>
  <p>What&rsquo;s a secret secret? It&rsquo;s a secret that&rsquo;s pretty damn secret, that&rsquo;s what it is. Which is of course what grilled chicken, even easy, easy grilled chicken, is not. Or possibly is.</p>

<p>OK, I&rsquo;m confused now. Let&rsquo;s do some tips.</p>

<p>h2. For quick and easy, you first of all want thin</p>

<p>If you&rsquo;re looking for a quick, easy <a href="161.html">grilled chicken</a> meal, then you don&rsquo;t want to try grilling a whole chicken thigh. That way lies pain, illness, and salmonella.</p>

<p>One of the reasons that cooks have such trouble specifying precise cooking times for any kind of meat is that the cooking time doesn&rsquo;t depend on the weight of the meat - it depends on the thickness of the meat. Essentially, what you&rsquo;re waiting for is the heat of your cooking appliance, whatever it is, to travel through the meat, which it does fairly slowly per centimeter. Thus, if you want something quick, you want something thin. Thigh fillets are good, or breasts, particularly if you cut them in half vertically.</p>

<p>As a bonus, the thinner the cut, the less chance of your serving it undercooked. Whole thighs are a nightmare to cook on a grill, but a 5-mm thick slice of breast will cook almost instantly, right through.</p>

<p>h2. If nothing else, add lemon</p>

<p>If you don&rsquo;t have the time, expertise, or enthusiasm to do a complex marinade for your chicken, chicken works really well with lemon. Just squeeze some over in the packet a few minutes before serving, and you&rsquo;ll be well away.</p>

<p>Garlic is similarly good - crush it and rub it into the chicken, and you&rsquo;ve got something sophisticated-tasting for very little effort.</p>

<p>Finally, sprigs of thyme on a closed grill, whether a pan or BBQ, can just be shoved under and around the chicken to flavour it and look great too. Thighs will absorb flavour better because of their higher fat content.</p>

<p>h2. Marinades don&rsquo;t have to be slow.</p>

<p>There are lots of technological ways of marinading chicken in seconds, not hours.</p>

<p>After their rise in popularity a few years ago, vacuum marinators are now cheap and easy to use - stick the chicken and a marinade in there, wait 10 minutes, and you&rsquo;ve got marinated chicken. Search for them on Amazon.</p>

<p>For something even faster, you&rsquo;ll need either an ISI cream whipper, or a CO2, erm, poker-pressuriser thingy. (Check out <a href="https://www.youtube.com/watch?v=AMQRSJUFuwM">this awesome video on the subject</a>). Slather chicken in marinade, place in pressurisable vessel, pressurise, then suddenly depressurise, and the chicken will take on the marinade super-quickly.</p>

<p>All of which lets you get a 12-hour marinade effect in about a minute.</p>

<p><strong>Any other tips for making grilled chicken easier?</strong></p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f181" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f181" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f181" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f181" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="181.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
